#include "CS_SantaFaceToBack.h"
const int CS_SantaSTATENAME_FACETOBACK = GetNextEntityStateID();
CS_SantaFaceToBack::CS_SantaFaceToBack()
{
	stateID = CS_SantaSTATENAME_FACETOBACK;
}

void CS_SantaFaceToBack::State()
{
	auto we = e.lock();
	if (!we)
		return;

	const wchar_t* back = we->lr == 0 ? L"mc_santa_back_l" : L"mc_santa_back_r";
	we->ani.sprite_index = back;
}

void CS_SantaFaceToBack::ChangeStateMsg(int stateID)
{
	if (stateID == GetStateID())
		enable = true;
	else
		enable = false;
}
